This is an updated version of Dex.OverrideScanPosition, with much stuff added.

# Feature:
 - Custom static bioscan points (for both single scan, cluster scan and cluster position).
 - Custom T-scan configuration.
 - Cluster T-scan (i.e. concurrent multiple T-scans).
 - `EventsOnPuzzleSolved`: Execute warden events upon individual puzzle being solved.
 - `RequiredItemsIndices`: Add 'required items to scan' to your puzzle, using BigpickItem index defined in this plugin.

# Some knowledges you need to know:
 - `CP_Bioscan_Core` refers to the actual scan, including both single bioscan and child scan of a cluster scan.
 - `CP_Cluster_Core` is for cluster scan, and its `position` is the cluster position from which child puzzles extend.
 - For T-Scan: The T-scan path must be sufficiently long, or would otherwise result in an system `Exception`, causing some known issues.
 - To force the first scan of the chained puzzle to not show spline, in your `ChainedPuzzleDatablock`, set `WantedDistanceFromStartPos` to `0.0`. 

# Usage:
 - Puzzle Override data location: `BepInEx\GameData\ScanPositionOverride\`
 - Refer to the template to learn to use.
 - `Tpositions` is used for assigning travel positions for moving scans, and can be left empty.
 - Use the BepInEx log to see the `PuzzleOverrideIndex` for each puzzle. 
 - Use CConsole (press `F2` by default), or UnityExplorer, to get the local player's current position for preferred placements.
 - Restart is _NOT_ required in most cases to reload the Puzzle Override data. View the BepInEx log to confirm the change being applied.

# Note:
 - Since level layout, number of chained puzzles in the level may vary before level design being finalized, it's recommended that you deem overriding scan positions as one of the last steps of finalizing your level.
 - All players must have the mod installed and the position files, otherwise desync will occur.
 - Do not use `Dex.OverrideScanPosition` when using this plugin.